@import "../../../styles/mixins.scss";
@import "../../../styles/variables.scss";

.main {
  padding: 6rem 0;
}

.profil {
  display: flex;
  align-items: center;
  gap: 2rem;

  &__title {
    font-size: 32px;
    font-weight: 600;
  }

  &__picture {
    width: 8rem;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    border-radius: 50%;
  }

  &__topname {
    @include heading4;
  }

  &__name {
    @include heading1;
  }

  &__voir {
    display: flex;
    gap: 16px;
    align-items: center;
    font-size: 24px;
    font-weight: 600;
  }

  &__trait {
    width: 100%;
    height: 1.5px;
    background-color: $dark-blue;
  }

  &__btn {
    width: 10%;
  }

  &__podium {
    width: fit-content;
    margin: auto;
  }

  &__header {
    width: 100%;
    display: flex;
    justify-content: space-between;
  }
}

.map-section {
  padding: 6rem 0;
  display: flex;
  justify-content: center;

  @media (max-width: 480px) {
    padding: 4rem 2rem;
  }

  &__wrapper {
    width: 72rem;
    display: flex;
    flex-direction: column;
    align-items: center;

    @media (max-width: 480px) {
      width: 100%;
    }
  }

  &__title {
    @include heading3;

    margin-bottom: 2rem;
  }
}

.rankings {
  display: flex;
  flex-direction: column;
  margin-top: 50px;

  &__name, &__item {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    padding: 15px;

    p {
      padding: 0 15px;
    }
  }

  &__name {
    font-weight: bold;
    font-size: 1.2rem;
    text-align: center;
  }

  &__item {
    text-align: center;
    align-items: center;
    transition: all 300ms ease-in-out;

    &:nth-of-type(2n) {
      background-color: $grey;
    }

    &:hover {
      background-color: $red;
      color: #FFF;
    }
  }
}

.podium {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
}
